*Inheritance: EventDispatcher → Node → LightingNode → AnalyticLightNode →*

# DirectionalLightNode

Module for representing directional lights as nodes.

## Constructor

### new DirectionalLightNode( light : DirectionalLight )

Constructs a new directional light node.

**light**

The directional light source.

Default is `null`.

## Source

[src/nodes/lighting/DirectionalLightNode.js](https://github.com/mrdoob/three.js/blob/master/src/nodes/lighting/DirectionalLightNode.js)